#!/usr/bin/python
# -*- coding:Utf-8 -*-

import sys
import re
import os

def egyel(be,ki):
	cel = open(be,"r")
	vegso = open(ki,"w")
	szotar = dict()
	for line in cel.readlines():
		if line not in szotar:
			szotar[line] = 1
		else:
			szotar[line] += 1
	for (kulcs,ertek) in sorted(szotar.items(), key = lambda(k,e): k):
		vegso.write(kulcs.strip() + "\t" + str(ertek) + "\n")
	vegso.close()
	cel.close()

def ellenoriz(sejt):
	osztaly = "-"
	if sejt in nevek:
		osztaly = nevek[sejt]
	else:
		if sejt in osztalyok:
			osztaly = sejt
	if ((osztaly == "-") or (osztaly == "MUSCLE")):
		mehet = 0
	else:
		mehet = 1
	return [osztaly,mehet]


kod = open("name_neurons.txt",'r')
nevek = dict()
osztalyok = dict()
for line in kod.readlines():
	datas = line.split()
	sejt = str(datas[0])
	osztaly = str(datas[1])
	if sejt not in nevek:
		nevek[sejt] = osztaly
	if osztaly not in osztalyok:
		osztalyok[osztaly] = 1
	
kod.close()

	
#csinálok egy szótárat a nevektől
#sejt -> sejtosztály
#mindig a sejtet be kell tenni a megfelelő osztályba, és azt tároljuk el
#egy szótár az osztályokról (érték :1 )
cel = open("ellista1",'w')
celszotar = dict()
osztaly1 = osztaly2 = ""
mehet1 = mehet2 = 1
f1 = ["",""]

#Albertson Fig
forras = open("synapse_AF.txt",'r')
for line in forras.readlines():
	mehet = 1
	adatok = line.split()
	sejt1 = str(adatok[0])
	sejt2 = str(adatok[5])
	[osztaly1,mehet1] = ellenoriz(sejt1)
	[osztaly2,mehet2] = ellenoriz(sejt2)
	if ((mehet1 == 1)and(mehet2 == 1)):
		f1 = [osztaly1,osztaly2]
		f1.sort()
		cel.write(f1[0] + " " + f1[1] + "\n")
forras.close()

forras = open("synapse_WF.txt",'r')
for line in forras.readlines():
	adatok = line.split()
	sejt1 = adatok[0]
	sejt2 = adatok[5]
	[osztaly1,mehet1] = ellenoriz(sejt1)
	[osztaly2,mehet2] = ellenoriz(sejt2)
	if ((mehet1 == 1)and(mehet2 == 1)):
		f1 = [osztaly1,osztaly2]
		f1.sort()
		cel.write(f1[0] + " " + f1[1] + "\n")
forras.close()

#White Table átírása
#A fájl szerkezete: 1. oszlop osztály, 2. oszlop osztály
forras = open("synapse_WT.txt",'r')
for line in forras.readlines():
	adatok = line.split()
	sejt1 = str(adatok[0])
	sejt2 = str(adatok[1])
	[osztaly1,mehet1] = ellenoriz(sejt1)
	[osztaly2,mehet2] = ellenoriz(sejt2)
	if ((mehet1 == 1)and(mehet2 == 1)):
		f1 = [osztaly1,osztaly2]
		f1.sort()
		cel.write(f1[0] + " " + f1[1] + "\n")
forras.close()

cel.close()
#Eddig készítettük a normális fájlokat
#Most rendezzük őket, és egyelünk


egyel("ellista1","ellista")

os.remove("ellista1")
